<?php
//check access
if (!function_exists('is_admin')) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

//answer to ticket
if (isset($_POST['hamyar_answer'])) {
	if (!empty($_POST['hamyar_answer'])) {
		if (hamyar_check_ticket()) {
			if (is_user_logged_in()) {
				$hamyar_name = hamyar_clean($current_user -> display_name);
				$hamyar_email = $current_user -> user_email;
				$hamyar_close = 0;
				$hamyar_table_name = $wpdb -> base_prefix . "hamyar_ticket";
				$id = $_GET['hamyar_id'];
				$id = $wpdb -> get_results("SELECT * FROM $hamyar_table_name WHERE msgcode='$id'", ARRAY_A);
				$hamyar_email_to = hamyar_clean($id['email']);
			} else {
				$hamyar_table_name = $wpdb -> base_prefix . "hamyar_ticket";
				$id = $_GET['hamyar_id'];
				$id = $wpdb -> get_results("SELECT * FROM $hamyar_table_name WHERE msgcode='$id'", ARRAY_A);
				$hamyar_name = hamyar_clean($id['name']);
				$hamyar_email = hamyar_clean($id['email']);
				$hamyar_close = 2;
				$hamyar_email_to = get_option('admin_email');
			}
			$hamyar_matn = hamyar_clean($_POST['hamyar_answer']);
			$hamyar_ip = hamyar_clean($_SERVER['REMOTE_ADDR']);
			$hamyar_pass = $_GET['hamyar_pass'];
			$hamyar_date2 = hamyar_date(get_option("hamyar_date"));
			$hamyar_msg = hamyar_clean($_GET['hamyar_id']);
			$hamyar_table_name = $wpdb -> base_prefix . "hamyar_ticket_r";
			if ($wpdb -> insert($hamyar_table_name, array('describe' => $hamyar_matn, 'name' => $hamyar_name, 'email' => $hamyar_email, 'ip' => $hamyar_ip, 'msgcode' => $hamyar_msg, 'date' => $hamyar_date2))) {
				$hamyar_table_name = $wpdb -> base_prefix . "hamyar_ticket";
				//update status
				$hamyar_id = $_GET['hamyar_id'];
				$row = $wpdb -> get_results("SELECT * FROM $hamyar_table_name WHERE msgcode='$hamyar_id'", ARRAY_A);
				if ($row['close'] != 1) {
					$wpdb -> query("UPDATE $hamyar_table_name SET close = $hamyar_close WHERE msgcode='$hamyar_id' ");
				}
				$hamyar_url = get_option('hamyar_page');
				$hamyar_url .= '?hamyar_do=read&hamyar_pass=' . $hamyar_pass . '&hamyar_id=' . $hamyar_msg;
				$hamyar_email_subject = __('Answer to ticket', 'hts');
				$hamyar_from = get_option('admin_email');
				$hamyar_email_body = __('A new answer has been sent to ticket', 'hts') . '<br/><a href="' . $hamyar_url . '">' . __('View ticket', 'hts') . '</a>';
				$hamyar_headers = "From: $hamyar_from \r\n";
				$hamyar_headers .= "Content-type: text/html\r\n";
				mail($hamyar_email_to, $hamyar_email_subject, $hamyar_email_body, $hamyar_headers);
				_e('Sending...', 'hts');
				exit();
			} else {
				_e('A problem has been occurred!', 'hts');
				exit();
			}
		}
	}
}
//add new ticket
if (isset($_POST['hamyar_do'])) {
	if ($_POST['hamyar_do'] == 'add') {
		if (isset($_POST['hamyar_name']) && isset($_POST['hamyar_email']) && isset($_POST['hamyar_subject']) && isset($_POST['hamyar_code']) && isset($_POST['hamyar_pass']) && isset($_POST['hamyar_important']) && isset($_POST['hamyar_matn'])) {
			if (!empty($_POST['hamyar_name']) && !empty($_POST['hamyar_email']) && !empty($_POST['hamyar_subject']) && !empty($_POST['hamyar_code']) && !empty($_POST['hamyar_pass']) && !empty($_POST['hamyar_important']) && !empty($_POST['hamyar_matn'])) {
				@session_start();
				if (isset($_SESSION['hamyar_rand_code']) && !empty($_SESSION['hamyar_rand_code'])) {
					if ($_POST['hamyar_code'] == $_SESSION['hamyar_rand_code']) {//code
						if (preg_match('/[A-Za-z0-9_-]+\@[A-Za-z0-9_-]+\.[A-Za-z0-9_-]+/', $_POST['hamyar_email'])) {//email
							//clean all inputs :)
							$hamyar_name = hamyar_clean($_POST['hamyar_name']);
							$hamyar_email = hamyar_clean($_POST['hamyar_email']);
							$hamyar_pass = hamyar_clean($_POST['hamyar_pass']);
							$hamyar_subject = hamyar_clean($_POST['hamyar_subject']);
							$hamyar_important = hamyar_clean($_POST['hamyar_important']);
							$hamyar_matn = hamyar_clean($_POST['hamyar_matn']);
							$hamyar_date2 = hamyar_date(get_option("hamyar_date"));
							$hamyar_msg = hamyar_clean(hamyar_id(20));
							$hamyar_ip = hamyar_clean($_SERVER['REMOTE_ADDR']);
							$hamyar_table_name = $wpdb -> base_prefix . "hamyar_ticket";
							$hamyar_close = 2;
							if ($wpdb -> insert($hamyar_table_name, array('describe' => $hamyar_matn, 'name' => $hamyar_name, 'email' => $hamyar_email, 'important' => $hamyar_important, 'close' => $hamyar_close, 'ip' => $hamyar_ip, 'subj' => $hamyar_subject, 'msgcode' => $hamyar_msg, 'date' => $hamyar_date2, 'password' => $hamyar_pass))) {
								echo $hamyar_msg;
								$hamyar_url = get_option('hamyar_page');
								$hamyar_url .= '?hamyar_do=read&hamyar_pass=' . $hamyar_pass . '&hamyar_id=' . $hamyar_msg;
								$hamyar_email_subject = __('Make a new ticket', 'hts');
								$hamyar_email_to = get_option('admin_email');
								$hamyar_email_body = __('A new ticket has made in your website.', 'hts') . '<br/><a href="' . $hamyar_url . '">' . __('View ticket', 'hts') . '</a>';
								$hamyar_email_body2 = __('Your ticket has been made successfully.', 'hts') . '<br/><a href="' . $hamyar_url . '">' . __('View ticket', 'hts') . '</a>';
								$hamyar_headers = "From: $hamyar_email_to \r\n";
								$hamyar_headers .= "Content-type: text/html\r\n";
								mail($hamyar_email_to, $hamyar_email_subject, $hamyar_email_body, $hamyar_headers);
								mail($hamyar_email, __('Your ticket has been made successfully.', 'hts'), $hamyar_email_body2, $hamyar_headers);
								exit();
							} else {
								_e('A problem has been occurred!', 'hts');
								exit();
							}
						} else {
							_e('Your email address is not valid!', 'hts');
							exit();
						}
					} else {
						_e('The entered captcha code is incorrect!', 'hts');
						exit();
					}
				} else {
					_e('The entered captcha code is incorrect!', 'hts');
					exit();
				}
			} else {
				_e('The entered captcha code is incorrect!', 'hts');
				exit();
			}
		} else {
			_e('The entered captcha code is incorrect!', 'hts');
			exit();
		}
	}
}
//search ticket
if (isset($_POST['hamyar_id'])) {
	if (!empty($_POST['hamyar_id'])) {
		if (hamyar_check_id($_POST['hamyar_id'])) {
			_e('Redireting...', 'hts');
			exit();
		} else {
			_e('Not found!', 'hts');
			exit();
		}
	}
}

//close ticket
if (isset($_POST['hamyar_close'])) {
	if (hamyar_check_ticket()) {
		$hamyar_table_name = $wpdb -> base_prefix . "hamyar_ticket";
		$id = $_GET['hamyar_id'];
		$wpdb -> query("UPDATE $hamyar_table_name SET close = 1 WHERE msgcode='$id' ");
		_e('This ticket has been closed', 'hts');
		exit();
	} else {
		_e('Not found!', 'hts');
		exit();
	}
}
?>